/*
 * Copyright Scott Logic Limited 2011
 */

using System;
using System.Windows;
using System.Windows.Data;

/// <summary>
/// Colin Eberhardt's lookless radial gauge control. See:
/// http://www.codeproject.com/Articles/103035/Developing-a-very-Lookless-Silverlight-Radial-Gaug.aspx
/// </summary>
/// 
namespace SilverTrack.controls.gaugeControl
{
  public class AngleToPointConverter : IValueConverter
  {
    private const double ToRadians = Math.PI /180;

    public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
    {
      double scale = double.Parse((string)parameter);
      double angle = (double)value;
      return new Point(
        100 + scale * Math.Sin(angle*ToRadians),
        100 - scale * Math.Cos(angle*ToRadians));
    }

    public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
    {
      throw new NotImplementedException();
    }
  }
}
